summaryrefslogtreecommitdiff
path: root/dev-db/influxdb/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2020-09-02 14:09:07 +0100
committerV3n3RiX <venerix@redcorelinux.org>2020-09-02 14:09:07 +0100
commitb17a3ef12038de50228bade1f05502c74e135321 (patch)
tree9026dffec53f92cba48ca9a500a4f778e6304380 /dev-db/influxdb/files
parent3cf7c3ef441822c889356fd1812ebf2944a59851 (diff)
gentoo resync : 02.09.2020
Diffstat (limited to 'dev-db/influxdb/files')
-rw-r--r--dev-db/influxdb/files/influxdb.initd48
1 files changed, 48 insertions, 0 deletions
diff --git a/dev-db/influxdb/files/influxdb.initd b/dev-db/influxdb/files/influxdb.initd
new file mode 100644
index 000000000000..1987c5237612
--- /dev/null
+++ b/dev-db/influxdb/files/influxdb.initd
@@ -0,0 +1,48 @@
+#!/sbin/openrc-run
+
+# Logging
+error_log="${error_log:-/var/log/influxdb/influxd.log}"
+output_log="${output_log:-/dev/null}"
+
+config="${config:-/etc/influxdb/influxdb.conf}"
+influxd_opts=${influxd_opts:-}
+
+command=/usr/bin/influxd
+command_args="-config ${config} ${influxd_opts}"
+command_user="influxdb:influxdb"
+extra_commands="version"
+
+retry=SIGTERM/30/SIGKILL/10
+supervisor="supervise-daemon"
+
+# Max open files
+rc_ulimit="-n 65536"
+
+start_pre() {
+ # Check if config file exist
+ if [ ! -r "${config}" ]; then
+ eerror "config file ${config} doesn't exist"
+ return 1
+ fi
+ if [ -n "${error_log}" ] && [ ! -e "${error_log}" ]; then
+ checkpath -d -o "${command_user}" "$(dirname "${error_log}")"
+ fi
+ if [ -n "${output_log}" ] && [ ! -e "${output_log}" ]; then
+ checkpath -d -o "${command_user}" "$(dirname "${output_log}")"
+ fi
+ return 0
+}
+
+version() {
+ $command version
+}
+
+if [ -n "${INFLUXDB_HEALTHCHECK_URI}" ]; then
+ healthcheck_delay=300
+ healthcheck_timer=60
+
+ healthcheck() {
+ command -v wget || return 0
+ wget -Oq- "${INFLUXDB_HEALTHCHECK_URI}"
+ }
+fi